Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.schema.ddl
Class DDLField

    java.lang.Object
      net.java.ao.schema.ddl.DDLField

    public class DDLField

extends Object

Database-agnostic representation of a field within a table containing all associated attributes such as type and constraints. The only field-relative attribute not contained within this class is whether or not the field is indexed at the database level.

Author:
  Daniel Spiewak

Constructor Summary
`DDLField()`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `getDefaultValue()`
`String` | `getName()`
`Object` | `getOnUpdate()`
`int` | `getPrecision()`
`int` | `getScale()`
`DatabaseType<?>` | `getType()`
`int` | `hashCode()`
`boolean` | `isAutoIncrement()`
`boolean` | `isNotNull()`
`boolean` | `isPrimaryKey()`
`boolean` | `isUnique()`
`void` | `setAutoIncrement(boolean autoIncrement)`
`void` | `setDefaultValue(Object defaultValue)`
`void` | `setName(String name)`
`void` | `setNotNull(boolean notNull)`
`void` | `setOnUpdate(Object onUpdate)`
`void` | `setPrecision(int precision)`
`void` | `setPrimaryKey(boolean primaryKey)`
`void` | `setScale(int scale)`
`void` | `setType(DatabaseType<?> type)`
`void` | `setUnique(boolean unique)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DDLField

    public DDLField()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getType

    public DatabaseType<?> getType()

### setType

    public void setType(DatabaseType<?> type)

### getPrecision

    public int getPrecision()

### setPrecision

    public void setPrecision(int precision)

### getScale

    public int getScale()

### setScale

    public void setScale(int scale)

### isPrimaryKey

    public boolean isPrimaryKey()

### setPrimaryKey

    public void setPrimaryKey(boolean primaryKey)

### isAutoIncrement

    public boolean isAutoIncrement()

### setAutoIncrement

    public void setAutoIncrement(boolean autoIncrement)

### isNotNull

    public boolean isNotNull()

### setNotNull

    public void setNotNull(boolean notNull)

### isUnique

    public boolean isUnique()

### setUnique

    public void setUnique(boolean unique)

### getDefaultValue

    public Object getDefaultValue()

### setDefaultValue

    public void setDefaultValue(Object defaultValue)

### getOnUpdate

    public Object getOnUpdate()

### setOnUpdate

    public void setOnUpdate(Object onUpdate)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.